> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/annotation/apple-pencil.md).

# Apple Pencil

Discover how to optimize annotation settings for Apple Pencil with Apryse's iOS SDK. Learn how to enhance user experience and prevent accidental annotations. Find out more here! The Apryse iOS SDK str

## Overview

Apryse's iOS SDK has full support for the Apple Pencil. This guide describes the various settings and how to change them.

## Annotating without an annotation tool selected

When the user does not have an annotation tool selected (ie the active tool is the [pan tool](https://sdk.apryse.com/api/ios/Classes/PTPanTool.html)), the pencil can either draw an ink annotation (default behavior), or act as a finger touch. This behavior can be changed using the [`applePencilDrawsInk`](https://sdk.apryse.com/api/ios/Classes/PTToolsSettingsManager.html#/c:objc\(cs\)PTToolsSettingsManager\(py\)applePencilDrawsInk).

## Annotating with **only** the pencil

When the user has an Apple Pencil paired with the device, it is possible to restrict annotation creation to only pencil touches. This allows the user to conveniently scroll with a single finger. It is also useful in preventing a user's palm from inadvertently creating an annotation.

The `PTToolsSettingsManager`'s [`pencilInteractionMode`](https://sdk.apryse.com/api/ios/Classes/PTToolsSettingsManager.html#/c:objc\(cs\)PTToolsSettingsManager\(py\)pencilInteractionMode) controls how touches are interpreted when an Apple Pencil is paired:

| Mode                                     | Description                                                                |
| ---------------------------------------- | -------------------------------------------------------------------------- |
| `PTPencilInteractionModeFingerAndPencil` | Finger touches will annotate (default on iOS 13)                           |
| `PTPencilInteractionModePencilOnly`      | Finger touches will **not** annotate. Single finger can be used to scroll. |
| `PTPencilInteractionModeSystem`          | Follows the system setting (default on iOS 14+)                            |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/ios/annotation/apple-pencil.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
